Subject: Re: diff-index --cc no longer permitted, gitk is now broken (slightly)

From: Junio C Hamano <[email-masked]>
Date: Thu, 16 Sep 2021 15:50:48 -0700

Sergey Organov <[email-masked]> writes:

> I'm not sure I follow. What "show -p" has to do with "diff-index --cc"?
>
> My only point here is that usage of *--cc* in *diff-index* is entirely
> undocumneted, and that needs to be somehow resolved.

It was a response to your "historical status quo that is a problem."
I do not think there is any problem with "diff-index --cc" (except
for it wants a better documentation---but that we already agree) but
I wanted to give you some credit for having worked on "--diff-merges",
an effort to generalize things in a related area.